com.dlsc.flexgantt.swing.mac

## Class MacTimeGranularitySelectorFactory

- java.lang.Object
- - com.dlsc.flexgantt.swing.selector.TimeGranularitySelectorFactory
  - - com.dlsc.flexgantt.swing.mac.MacTimeGranularitySelectorFactory

- All Implemented Interfaces:
    ISelectorFactory

      public class MacTimeGranularitySelectorFactory
      extends TimeGranularitySelectorFactory

  A specialized selector factory for MacOS X, which makes adjustments to the labels.
  Since:
    2.0
  Author:
    Dirk Lemmermann

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.dlsc.flexgantt.swing.selector.ISelectorFactory

      `ISelectorFactory.SelectorID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacTimeGranularitySelectorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Selector` | `createSelector(AbstractGanttChart gc, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given Gantt chart and the given selector type.
    `Selector` | `createSelector(IGridComponent gridComponent, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given `IGridComponent` instance and the given selector type.
    `Selector` | `createSelector(LayerContainer layerContainer, JComponent parentComponent, ISelectorFactory.SelectorID id)` Creates a new selector for the given `LayerContainer` and the given selector type.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.selector.TimeGranularitySelectorFactory

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacTimeGranularitySelectorFactory

          public MacTimeGranularitySelectorFactory()

  - ### Method Detail

    - #### createSelector

          public Selector createSelector(AbstractGanttChart gc,
                                         JComponent parentComponent,
                                         ISelectorFactory.SelectorID id)

      Description copied from interface: `ISelectorFactory`
      Creates a new selector for the given Gantt chart and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Specified by:
        `createSelector` in interface `ISelectorFactory`
      Overrides:
        `createSelector` in class `TimeGranularitySelectorFactory`
      Parameters:
        `gc` - the Gantt chart where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart

    - #### createSelector

          public Selector createSelector(IGridComponent gridComponent,
                                         JComponent parentComponent,
                                         ISelectorFactory.SelectorID id)

      Description copied from interface: `ISelectorFactory`
      Creates a new selector for the given `IGridComponent` instance and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Specified by:
        `createSelector` in interface `ISelectorFactory`
      Overrides:
        `createSelector` in class `TimeGranularitySelectorFactory`
      Parameters:
        `gridComponent` - the grid component where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart

    - #### createSelector

          public Selector createSelector(LayerContainer layerContainer,
                                         JComponent parentComponent,
                                         ISelectorFactory.SelectorID id)

      Description copied from interface: `ISelectorFactory`
      Creates a new selector for the given `LayerContainer` and the given selector type. Selectors are always bound to a parent component, which gets also passed to this factory method.
      Specified by:
        `createSelector` in interface `ISelectorFactory`
      Overrides:
        `createSelector` in class `TimeGranularitySelectorFactory`
      Parameters:
        `layerContainer` - the layer container where the selector will be used
        `parentComponent` - the parent component to which the selector will be bound
        `id` - the id of the selector
      Returns:
        a selector of the given type for the given Gantt cart

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.